Page MenuHomePhabricator

Expose version of the service and its dependencies
Closed, ResolvedPublic

Description

It would be nice to have something like Special:Version in ORES and wikilabels (probably need to split this phab into two cards). It would be great to have commit id of them instead of simple version.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 20 2017, 8:49 AM
Halfak added a subscriber: Halfak.Feb 16 2017, 3:51 PM

Essentially we want an endpoint in ORES that runs "pip freeze".

We already report version of the models so that's easy.

Halfak triaged this task as Low priority.Feb 16 2017, 3:51 PM
Halfak moved this task from Untriaged to New development on the Scoring-platform-team board.

Some versions are more important than others.

Most important:

  • ores
  • revscoring

Moderately important:

  • editquality
  • wikiclass
  • draftquality

Least important:

  • All the other installed packages that show up in a "pip freeze"
Tgr claimed this task.Mar 7 2017, 1:17 AM
Halfak closed this task as Resolved.Apr 14 2017, 5:42 PM